clang 8.0.0

Public Attributes | List of all members
CXSourceRange Struct Reference
libclang: C Interface to Clang » Physical source locations

Identifies a half-open character range in the source code. More...

`#include "clang-c/Index.h"`

Collaboration diagram for CXSourceRange:
[legend]

## Public Attributes
const void * | ptr_data [2]
unsigned | begin_int_data
unsigned | end_int_data

## Detailed Description

Identifies a half-open character range in the source code.

Use clang_getRangeStart() and clang_getRangeEnd() to retrieve the starting and end locations from a source range, respectively.

Definition at line 468 of file Index.h.

## Member Data Documentation

## ◆ begin_int_data

unsigned CXSourceRange::begin_int_data

Definition at line 470 of file Index.h.

## ◆ end_int_data

unsigned CXSourceRange::end_int_data

Definition at line 471 of file Index.h.

## ◆ ptr_data

const void* CXSourceRange::ptr_data[2]

Definition at line 469 of file Index.h.

The documentation for this struct was generated from the following file:

- include/clang-c/Index.h